Name:           perl-ORLite-Migrate
Version:        1.10
Release:        1%{?dist}
Summary:        Extremely light weight SQLite-specific schema migration
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/ORLite-Migrate/
Source0:        file:///home/dave/mirrors/minicpan//authors/id/A/AD/ADAMK/ORLite-Migrate-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.0
BuildRequires:  perl(DBD::SQLite) >= 1.21
BuildRequires:  perl(DBI) >= 1.58
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Path) >= 2.04
BuildRequires:  perl(File::pushd) >= 1.00
BuildRequires:  perl(File::Spec) >= 3.27
BuildRequires:  perl(File::Which) >= 1.07
BuildRequires:  perl(IPC::Run3) >= 0.042
BuildRequires:  perl(ORLite) >= 1.28
BuildRequires:  perl(Params::Util) >= 0.37
BuildRequires:  perl(Probe::Perl) >= 0.01
BuildRequires:  perl(Test::More) >= 0.47
Requires:       perl(DBD::SQLite) >= 1.21
Requires:       perl(DBI) >= 1.58
Requires:       perl(File::Path) >= 2.04
Requires:       perl(File::pushd) >= 1.00
Requires:       perl(File::Spec) >= 3.27
Requires:       perl(File::Which) >= 1.07
Requires:       perl(IPC::Run3) >= 0.042
Requires:       perl(ORLite) >= 1.28
Requires:       perl(Params::Util) >= 0.37
Requires:       perl(Probe::Perl) >= 0.01
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
SQLite is a light weight single file SQL database that provides an
excellent platform for embedded storage of structured data.

%prep
%setup -q -n ORLite-Migrate-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE MYMETA.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Jun 07 2015 Dave Cross <dave@mag-sol.com> 1.10-1
- Specfile autogenerated by cpanspec 1.78.
